工程问题--ubuntu16.04 安装kinect v1驱动

ubuntu16.04 安装kinect v1驱动

文中所要下载的包在网盘中可以找到

全部版本软件包网盘飞机票:https://pan.baidu.com/s/1gd9XdIV

博主所用版本软件包网盘飞机票:https://pan.baidu.com/s/1UbpuiFYWv7euPj7-uXm7Uw

 


 一. 安装libfreenect

1. 安装必要工具

1 sudo apt-get install g++ python libusb-1.0-0-dev freeglut3-dev openjdk-8-jdk doxygen graphviz mono-complete

 

2. 安装libfreenect

1 git clone https://github.com/OpenKinect/libfreenect.git
2 cd libfreenect
3 mkdir build
4 cd build
5 cmake -L ..
6 make
7 sudo make install 

 

3. 安装Udev规则

将~/libfreenect/platform/linux/udev/下的51-kinect.rules复制到/etc/udev/rules.d/下

1 sudo cp ~/libfreenect/platform/linux/udev/51-kinect.rules /etc/udev/rules.d/

 


 二. 安装Openni

下载OpenNI-Bin-Dev-Linux-x64-v1.5.7.10.tar解压得到OpenNI-Bin-Dev-Linux-x64-v1.5.7.10文件夹

1 cd OpenNI-Bin-Dev-Linux-x64-v1.5.7.10
2 sudo ./install.sh

 


 三. 安装Sensor(更改:这一步出错,Sensor和Openni的版本之间是相互匹配的。不能用5.1.6.6这个版本,请看后面补充)

下载Sensor-Bin-Linux-x64-v5.1.6.6.tar.bz2解压得到Sensor-Bin-Linux-x64-v5.1.6.6文件夹

1 cd Sensor-Bin-Linux-x64-v5.1.6.6
2 sudo ./install.sh

 


 四. 安装NITE

下载NITE-Bin-Dev-Linux-x64-v1.5.2.23.tar解压得到NITE-Bin-Dev-Linux-x64-v1.5.2.23文件夹

1 cd NITE-Bin-Dev-Linux-x64-v1.5.2.23
2 sudo ./install.sh

 


 五. 运行示例

1. 连上kinect数据线,执行以下命令

1 roslaunch openni_launch openni.launch

 在另一个终端执行

1 cd ~/OpenNI-Bin-Dev-Linux-x64-v1.5.7.10/Samples/Bin/x64-Release
2 ./NiViewer

 

2. 显示RGB图像等

参考教程飞机票:https://blog.csdn.net/x_r_su/article/details/52904113

 


 第三步更改:

在用这个Sensor-Bin-Linux-x64-v5.1.6.6版本之后,在运行示例的时候会一直报错

 

1 open failed : bad parameter sent to the device

 

查了很久之后,认为可能是Openni、Sensor和NITE之间版本的匹配关系

因为自己看见其他博客的版本与我的版本只有Sensor不同。所以想尝试一下改一下版本。

步骤更正为:

下载Sensor-Bin-Linux-x64-v5.1.2.1.tar.bz2解压得到Sensor-Bin-Linux-x64-v5.1.2.1文件夹

 

1 cd Sensor-Bin-Linux-x64-v5.1.2.1/
2 sudo ./install.sh

 

 

 

参考文章飞机票:

https://github.com/OpenKinect/libfreenect#fetch-build

https://blog.csdn.net/u013453604/article/details/48013959

posted @ 2018-07-17 14:30  Gianmeng  阅读(3098)  评论(1编辑  收藏